import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询试用申请列表
export function listApplicationTrial(query) {
  return request({
    url: '/applicationtrial/queryApplicationTrialByPagination',
    method: 'get',
    params: query
  })
}

// 2. 查询试用申请详细信息
export function getApplicationTrial(businessId) {
  return request({
    url: '/applicationtrial/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增试用申请
export function addApplicationTrial(data) {
  data = Qs.stringify(data)
  return request({
    url: '/applicationtrial/add',
    method: 'post',
    data: data
  })
}

// 4. 修改试用申请
export function updateApplicationTrial(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/applicationtrial/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除试用申请
export function delApplicationTrial(businessId) {
  return request({
    url: '/applicationtrial/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出试用申请
export function exportApplicationTrial(query) {
  return request({
    url: '/applicationtrial/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
