import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询试用开课列表
export function listTeaTrialCourse(query) {
  return request({
    url: '/teatrialcourse/queryTeaTrialCourseByPagination',
    method: 'get',
    params: query
  })
}
export function listALLTeaTrialCourse(query) {
  return request({
    url: '/teatrialcourse/queryTeaTrialCourses',
    method: 'get',
    params: query
  })
}

// 2. 查询试用开课详细信息
export function getTeaTrialCourse(businessId) {
  return request({
    url: '/teatrialcourse/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增试用开课
export function addTeaTrialCourse(data) {
  data = Qs.stringify(data)
  return request({
    url: '/teatrialcourse/add',
    method: 'post',
    data: data
  })
}

// 4. 修改试用开课
export function updateTeaTrialCourse(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/teatrialcourse/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除试用开课
export function delTeaTrialCourse(businessId) {
  return request({
    url: '/teatrialcourse/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出试用开课
export function exportTeaTrialCourse(query) {
  return request({
    url: '/teatrialcourse/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
export function batchAddTeaTrialCourse(data) {
  return request({
    url: '/teatrialcourse/batchAdd',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8' // 接口修改传参类型
    }
  })
}

// 下载开课导入模板
export function importTemplateTrialCourse(params) {
  return request({
    url: '/teatrialcourse/importTemplate',
    method: 'get',
    responseType: 'blob',
    params
  })
}

// 导入开课信息
export function importExcel(data) {
  return request({
    url: '/teatrialcourse/importDictData',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}

// 根据查询参数分页查询可开课的课程
export function queryBLessonWithTrial(query) {
  return request({
    url: '/teatrialcourse/queryNoSchoolBegins',
    method: 'get',
    params: query
  })
}

